=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: plasma-integration
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: breeze-dev (>= 4:5.26.70~),
+Build-Depends: breeze-dev (>= 4:5.27.3~),
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.102.0~),
@@ -26,27 +27,27 @@
                libxcursor-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-wayland-protocols (>= 1.6.0~),
+               plasma-wayland-protocols (>= 1.9.0~),
                qtbase5-dev (>= 5.15.2~),
                qtbase5-private-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~),
                qtwayland5-dev-tools (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/plasma-integration
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-integration
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-integration.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration
 Rules-Requires-Root: no
 
 Package: plasma-integration
 Architecture: any
-Depends: breeze (>= 4:5.26.70~),
+Depends: breeze (>= 4:5.26.0),
          qml-module-org-kde-qqc2desktopstyle,
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends},
-Recommends: fonts-hack, fonts-noto-hinted,
+Recommends: fonts-hack, fonts-noto-hinted
 Description: Qt Platform Theme integration plugins for KDE Plasma
  A plugin to provide Qt Platform Theme integration for the Plasma
  workspace.
-Breaks: plasma-desktop (<< 4:5.14), plasma-workspace (<< 4:5.14),
+Breaks: plasma-desktop (<< 4:5.14), plasma-workspace (<< 4:5.14)
