=== src/CMakeLists.txt ===
add_subdirectory(platformtheme)
add_subdirectory(platforminputcontextplugin)
