## plasma-integration 5.27.10

=== debian/changelog ===
plasma-integration (5.27.10-1ubuntu1) noble; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on plasma-wayland-protocols (>= 1.9.0~)

  [ Scarlett Moore ]
  * Release to archive.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 04:08:12 -0700

plasma-integration (5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:25:13 +0100

plasma-integration (5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:22:34 +0000

plasma-integration (5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:54:21 +0200

plasma-integration (5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:19:48 +0100

plasma-integration (5.27.8-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Recommend fonts-noto-core & fonts-noto-ui-core instead of fonts-noto-
    hinted as the latter is an obsolete package (Closes: #1050050).

 -- Patrick Franz <deltaone@debian.org>  Tue, 26 Sep 2023 22:50:10 +0200

plasma-integration (5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 22:10:40 +0200
