=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: breeze-dev (>= 4:5.27.8~),
+Build-Depends: breeze-dev (>= 4:5.27.10~),
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.102.0~),
@@ -41,7 +41,7 @@
 
 Package: plasma-integration
 Architecture: any
-Depends: breeze (>= 4:5.27.7~),
+Depends: breeze (>= 4:5.27.10~),
          qml-module-org-kde-qqc2desktopstyle,
          ${misc:Depends},
          ${perl:Depends},
